#include "DummyPreprocessingManager.h"

#include <iostream>
#include <fstream>

using  namespace std;


namespace GtpVisibility {

DummyPreprocessingManager::DummyPreprocessingManager(HierarchyInterface *hierarchyInterface)
:PreprocessingManager(hierarchyInterface)
{
}


bool DummyPreprocessingManager::ExportScene(const string &filename)
{
	ofstream s(filename.c_str());
	s<<"#VRML 2.0 utf8"<<endl;
	s<<"#Dummy module output"<<endl;
	return true;
}


bool DummyPreprocessingManager::LoadPreprocessedData(const string &filename)
{
	// do nothing
	return false;
}


}
